Bug 226657 - Merge Review: xrestop
Summary: Merge Review: xrestop
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:35 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-26 20:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-26 20:22:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:35:25 UTC
Fedora Merge Review: xrestop

http://cvs.fedora.redhat.com/viewcvs/devel/xrestop/
Initial Owner: sandmann@redhat.com

Comment 1 Kevin Fenzi 2007-02-04 14:45:00 UTC
I would be happy to review this package. Look for a full review in a bit. 

Comment 2 Kevin Fenzi 2007-02-04 15:01:30 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
5ff774ff9cbb5997f0fb68e712dee302  xrestop-0.2.tar.gz
5ff774ff9cbb5997f0fb68e712dee302  xrestop-0.2.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
See below - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
See below - Should have dist tag
See below - Should package latest version
0 outstanding bugs - check for outstanding bugs on package. 

Issues:

1. Buildroot should be the standard one.

2. rpmlint says:
E: xrestop zero-length /usr/share/doc/xrestop-0.2/NEWS

Drop the NEWS file? Also the INSTALL file is the generic autotools one, and
should also be dropped.

3. Should use the dist tag?

4. The latest version is 0.4 upstream.
I think you can then also drop the man patch as this is fixed upstream.

5. There's some odd # SUBDIRS= comments that should get removed...



Comment 3 Kevin Fenzi 2007-02-24 03:07:50 UTC
Resetting flags and such per the new offical review guidelines: 
https://www.redhat.com/archives/fedora-maintainers/2007-February/msg00682.html

Comment 4 Kevin Fenzi 2008-03-22 01:09:56 UTC
Any news here?

Comment 5 Kevin Fenzi 2009-09-26 20:22:09 UTC
As far as I can tell you've never commited to this package, do you still want to maintain it?

Items 1 and 5 are outstanding still... all the others have been fixed by other people over the years. 

The buildroot does meet the guidelines, even though it's not a standard one. 
The comments are not a blocker. 

I guess I will go ahead and APPROVE this review, but it seems odd to have a package maintained by someone who has never once commited to it.


Note You need to log in before you can comment on or make changes to this bug.